%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Fast compression and decompression library
Name:		snappy
Version:	1.1.3
Release:	2
License:	BSD
Group:		System/Libraries
Url:		http://code.google.com/p/snappy/
Source0:	https://github.com/google/snappy/releases/download/1.1.3/%{name}-%{version}.tar.gz
BuildRequires:	gtest-devel

%description
Snappy is a compression/decompression library. It does not aim for maximum
compression, or compatibility with any other compression library; instead, it
aims for very high speeds and reasonable compression. For instance, compared to
the fastest mode of zlib, Snappy is an order of magnitude faster for most
inputs, but the resulting compressed files are anywhere from 20% to 100%
bigger.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for %{name}
Group:		System/Libraries
%rename		%{name}

%description -n %{libname}
Snappy is a compression/decompression library. It does not aim for maximum
compression, or compatibility with any other compression library; instead, it
aims for very high speeds and reasonable compression. For instance, compared to
the fastest mode of zlib, Snappy is an order of magnitude faster for most
inputs, but the resulting compressed files are anywhere from 20% to 100%
bigger.

This package contains shared libraries for %{name}.

%files -n %{libname}
%{_libdir}/libsnappy.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%files -n %{devname}
%doc AUTHORS COPYING ChangeLog NEWS README
%doc format_description.txt
%{_includedir}/snappy*.h
%{_libdir}/libsnappy.so

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std
rm -rf %{buildroot}%{_datadir}/doc/snappy/

%check
make check


%changelog

* Wed Nov 16 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.3-2
- (6133e8d) Spec cleanup


